Bug 1180935 - Python3 module
Python3 module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pylibacl (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcin Zajaczkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2015-01-11 18:30 EST by secondary
Modified: 2016-06-18 15:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: pylibacl-0.5.2-1.fc23 pylibacl-0.5.2-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 21:25:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated source rpm (142 bytes, text/plain)
2015-01-12 13:44 EST, secondary
no flags Details
updated source rpm (42.07 KB, application/x-rpm)
2015-01-12 13:50 EST, secondary
no flags Details

  None (edit)
Description secondary 2015-01-11 18:30:40 EST
Description of problem:
No python 3 package is built.


Version-Release number of selected component (if applicable):
See [http://pkgs.fedoraproject.org/cgit/pylibacl.git/tree/pylibacl.spec]


Additional info:
I took a look at the debian package: no additional work is required to support python3. Just call setup.py with the python3 interpreter.
Comment 1 secondary 2015-01-12 12:17:30 EST
I'll upload an updated spec today.
Comment 2 secondary 2015-01-12 13:44:06 EST
Created attachment 979269 [details]
updated source rpm
Comment 3 secondary 2015-01-12 13:46:13 EST
Tested working for both python-2 and python-3.
Comment 4 secondary 2015-01-12 13:50:02 EST
Created attachment 979270 [details]
updated source rpm

Changelog:
- updated to 0.5.2
- phase out python-libacl (it's been a while...)
- run checks
- python3 subpackage
- remove outdated macros
Comment 5 Jaroslav Reznik 2015-03-03 11:41:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Petr Viktorin 2016-04-19 08:36:49 EDT
Marcin, did you get time to look at the update?
Comment 7 Fedora Update System 2016-05-02 16:22:16 EDT
pylibacl-0.5.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ff5bf5e72
Comment 8 Fedora Update System 2016-05-02 16:22:22 EDT
pylibacl-0.5.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40135143a3
Comment 9 Marcin Zajaczkowski 2016-05-02 16:26:46 EDT
Thanks Petr for the reminder. I applied the changes and issued updates for F23 and F24. Unfortunately I don't use anything what can be built against the new Python 3 module. Feel free to test it if you use one.

Thanks Yclept for the patch! :).
Comment 10 Fedora Update System 2016-05-03 07:23:13 EDT
pylibacl-0.5.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ff5bf5e72
Comment 11 Fedora Update System 2016-05-13 01:32:46 EDT
pylibacl-0.5.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40135143a3
Comment 12 Fedora Update System 2016-06-06 21:25:26 EDT
pylibacl-0.5.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-06-18 15:01:24 EDT
pylibacl-0.5.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.